/*
 * <<< get_puid.c >>>
 *
 * --- Synchronization library for isis 'get_puid.c'
 *     Copyright (C) 1995-2000 Amano Lab., Keio University. ---
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 */

#include "osiris.h"
#include "multi_io_funcs.h"

int get_puid(void)
{
	static int get_puid_flag = 0;
	static int puid;
	if (!get_puid_flag) {
		__multi_io_sysinfo_read_integer("processor_id", &puid);
		get_puid_flag = 1;
	}
	return puid;
}
